kind: "postgresql"
apiVersion: "acid.zalan.do/v1"
metadata:
  name: "{{ cm_stellio_settings.cluster_team }}"
  namespace: "{{ k8s_namespace }}"
labels:
  team: "{{ cm_stellio_settings.cluster_team }}"
spec:
  teamId: "{{ cm_stellio_settings.cluster_team }}"
  enableLogicalBackup: {{ inv_cm.stellio.enable__postgres_logical_backup }}
  postgresql:
    version: "16"
    parameters:
      shared_buffers: 700MB
      max_standby_archive_delay: 900s
      max_standby_streaming_delay: 900s
  numberOfInstances: {{ stellio_db_replicas }}
  enableMasterLoadBalancer: false
  volume:
    size: "50Gi"
    storageClass: "{{inv_k8s.storage_class.loc }}"
  preparedDatabases:
    stellio_search:
      defaultUsers: true
      schemas:
        public:
          defaultRoles: false
      extensions:
        timescaledb: public
        postgis: public
        pgcrypto: public
    stellio_subscription:
      defaultUsers: true
      schemas:
        public:
          defaultRoles: false
      extensions:
        postgis: public
  allowedSourceRanges:
    # IP ranges to access your cluster go here
  resources:
    requests:
      cpu: 300m
      memory: 300Mi
    limits:
      cpu: 1000m
      memory: 2Gi
  patroni:
    pg_hba:
      - local   all             all                                       trust
      - host    stellio_subscription stellio_subscription_owner_user all  md5
      - host    stellio_search stellio_search_owner_user all              md5
      - hostssl all             +zalandos    127.0.0.1/32                 pam
      - host    all             all          127.0.0.1/32                 md5
      - hostssl all             +zalandos    ::1/128                      pam
      - host    all             all          ::1/128                      md5
      - local   replication     standby                                   trust
      - hostssl replication     standby       all                         md5
      - hostnossl all           all           all                         reject
      - hostssl all             +zalandos     all                         pam
      - hostssl all             all           all                         md5